Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.extractor
Class HeaderFooter

    java.lang.Object
      org.apache.poi.hdf.extractor.HeaderFooter

public class HeaderFooter
extends java.lang.Object

Comment me

Author:
  Ryan Ackley

Field Summary
`static int` | `FOOTER_EVEN`
`static int` | `FOOTER_FIRST`
`static int` | `FOOTER_ODD`
`static int` | `HEADER_EVEN`
`static int` | `HEADER_FIRST`
`static int` | `HEADER_ODD`

Constructor Summary
`HeaderFooter(int type, int startFC, int endFC)`

Method Summary
`int` | `getEnd()`
`int` | `getStart()`
`boolean` | `isEmpty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_EVEN

    public static final int HEADER_EVEN

See Also:
  Constant Field Values

### HEADER_ODD

    public static final int HEADER_ODD

See Also:
  Constant Field Values

### FOOTER_EVEN

    public static final int FOOTER_EVEN

See Also:
  Constant Field Values

### FOOTER_ODD

    public static final int FOOTER_ODD

See Also:
  Constant Field Values

### HEADER_FIRST

    public static final int HEADER_FIRST

See Also:
  Constant Field Values

### FOOTER_FIRST

    public static final int FOOTER_FIRST

See Also:
  Constant Field Values

Constructor Detail

### HeaderFooter

    public HeaderFooter(int type,
                        int startFC,
                        int endFC)

Method Detail

### getStart

    public int getStart()

### getEnd

    public int getEnd()

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.